Bug 26718 - Change 'Your reading history" to "Your checkout history"
Summary: Change 'Your reading history" to "Your checkout history"
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2020-10-16 16:53 UTC by Barbara Johnson
Modified: 2020-11-16 21:29 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
This changes "reading history" to "checkout history" in the staff interface and OPAC as libraries are not only leanding reading materials but a lot of different media.
Version(s) released in:
20.11.00


Attachments
Bug 26718: Rename "reading history" to "checkout history" (18.76 KB, patch)
2020-10-17 12:09 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26718: Rename "reading history" to "checkout history" (18.82 KB, patch)
2020-10-18 17:46 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26718: Rename "reading history" to "checkout history" (18.81 KB, patch)
2020-10-21 15:34 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara Johnson 2020-10-16 16:53:16 UTC
In the OPAC "Your Reading History" seems misnamed since patrons also check out DVDs, music, audio books, kits, library of things, etc. It seems like a more accurate name would be "Your Checkout History"
Comment 1 Katrin Fischer 2020-10-17 11:54:45 UTC
Hi Barbara, first of all: thx for all the bug reports!

I think you have a very good point here. +1
Comment 2 Katrin Fischer 2020-10-17 12:09:51 UTC
Created attachment 111942 [details] [review]
Bug 26718: Rename "reading history" to "checkout history"

This changes all occurences of reading history to the more
accurate term 'checokut history' as it was correctly pointed out
that 'reading' doesn't apply to all kind of items available
at the library (audio books, games, etc.)

To test:
- Verify that the term reding history has been replaced by checkout
  history in:
  - System preferences
  - OPAC tab "your checkout history"
  - OPAC tab "your privacy" (switch OpacPrivacy pref first)
  - Staff permission for patron batch anonymization
Comment 3 Katrin Fischer 2020-10-17 12:10:41 UTC
I've written up a patch with the suggested change - please check and discuss!
Comment 4 Barbara Johnson 2020-10-18 17:36:37 UTC
Everything worked for me except the change for the system preferences.  They still display as opacreadinghistory and intranetreadinghistory.  Also still displays opacreadinghistory in the description for the StoreLastBorrower system preference.
Comment 5 Katrin Fischer 2020-10-18 17:37:53 UTC
Hi Barbara, thx for testing. I didn't rename the preferences, only changed the description texts and labels in the GUI. Renaming the prefs would require more work and they are only visible to system librarians, so hope I can get away with that :)
Comment 6 ByWater Sandboxes 2020-10-18 17:46:51 UTC
Created attachment 111949 [details] [review]
Bug 26718: Rename "reading history" to "checkout history"

This changes all occurences of reading history to the more
accurate term 'checokut history' as it was correctly pointed out
that 'reading' doesn't apply to all kind of items available
at the library (audio books, games, etc.)

To test:
- Verify that the term reding history has been replaced by checkout
  history in:
  - System preferences
  - OPAC tab "your checkout history"
  - OPAC tab "your privacy" (switch OpacPrivacy pref first)
  - Staff permission for patron batch anonymization

Signed-off-by: Barbara Johnson  <barbara.johnson@bedfordtx.gov>
Comment 7 Barbara Johnson 2020-10-18 17:49:32 UTC
Katrin, thanks for clarifying that.  So it all works as expected and I’ve signed off.
Comment 8 Katrin Fischer 2020-10-18 17:50:09 UTC
Thank you!
Comment 9 Martin Renvoize 2020-10-21 15:34:29 UTC
Created attachment 112109 [details] [review]
Bug 26718: Rename "reading history" to "checkout history"

This changes all occurences of reading history to the more
accurate term 'checokut history' as it was correctly pointed out
that 'reading' doesn't apply to all kind of items available
at the library (audio books, games, etc.)

To test:
- Verify that the term reding history has been replaced by checkout
  history in:
  - System preferences
  - OPAC tab "your checkout history"
  - OPAC tab "your privacy" (switch OpacPrivacy pref first)
  - Staff permission for patron batch anonymization

Signed-off-by: Barbara Johnson  <barbara.johnson@bedfordtx.gov>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Martin Renvoize 2020-10-21 15:35:00 UTC
Nice clarification.. Passing QA
Comment 11 Jonathan Druart 2020-11-04 12:04:11 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 12 Lucas Gass 2020-11-16 21:16:37 UTC
enhancement will not be backported to 20.05.x